﻿// This class is "generated" and will be overwritten.
// Your customizations should be made in OwnerRecord.cs

using System;
using System.Collections;
using System.Data.SqlTypes;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Data.SqlProvider;

namespace V6MMYCS.Business
{

/// <summary>
/// The generated superclass for the <see cref="OwnerRecord"></see> class.
/// </summary>
/// <remarks>
/// This class is not intended to be instantiated directly.  To obtain an instance of this class, 
/// use the methods of the <see cref="OwnerTable"></see> class.
/// </remarks>
/// <seealso cref="OwnerTable"></seealso>
/// <seealso cref="OwnerRecord"></seealso>
public class BaseOwnerRecord : PrimaryKeyRecord
{

	public readonly static OwnerTable TableUtils = OwnerTable.Instance;

	// Constructors
 
	protected BaseOwnerRecord() : base(TableUtils)
	{
	}

	protected BaseOwnerRecord(PrimaryKeyRecord record) : base(record, TableUtils)
	{
	}







#region "Convenience methods to get/set values of fields"

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's Owner_.Id field.
	/// </summary>
	public ColumnValue GetId0Value()
	{
		return this.GetValue(TableUtils.Id0Column);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's Owner_.Id field.
	/// </summary>
	public Int32 GetId0FieldValue()
	{
		return this.GetValue(TableUtils.Id0Column).ToInt32();
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's Owner_.OwnerName field.
	/// </summary>
	public ColumnValue GetOwnerNameValue()
	{
		return this.GetValue(TableUtils.OwnerNameColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's Owner_.OwnerName field.
	/// </summary>
	public string GetOwnerNameFieldValue()
	{
		return this.GetValue(TableUtils.OwnerNameColumn).ToString();
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's Owner_.OwnerName field.
	/// </summary>
	public void SetOwnerNameFieldValue(ColumnValue val)
	{
		this.SetValue(val, TableUtils.OwnerNameColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's Owner_.OwnerName field.
	/// </summary>
	public void SetOwnerNameFieldValue(string val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.OwnerNameColumn);
	}
	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's Owner_.Address field.
	/// </summary>
	public ColumnValue GetAddressValue()
	{
		return this.GetValue(TableUtils.AddressColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's Owner_.Address field.
	/// </summary>
	public string GetAddressFieldValue()
	{
		return this.GetValue(TableUtils.AddressColumn).ToString();
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's Owner_.Address field.
	/// </summary>
	public void SetAddressFieldValue(ColumnValue val)
	{
		this.SetValue(val, TableUtils.AddressColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's Owner_.Address field.
	/// </summary>
	public void SetAddressFieldValue(string val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.AddressColumn);
	}


#endregion

#region "Convenience methods to get field names"

	/// <summary>
	/// This is a property that provides direct access to the value of the record's Owner_.Id field.
	/// </summary>
	public Int32 Id0
	{
		get
		{
			return this.GetValue(TableUtils.Id0Column).ToInt32();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.Id0Column);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool Id0Specified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.Id0Column);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's Owner_.Id field.
	/// </summary>
	public string Id0Default
	{
		get
		{
			return TableUtils.Id0Column.DefaultValue;
		}
	}
	/// <summary>
	/// This is a property that provides direct access to the value of the record's Owner_.OwnerName field.
	/// </summary>
	public string OwnerName
	{
		get
		{
			return this.GetValue(TableUtils.OwnerNameColumn).ToString();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.OwnerNameColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool OwnerNameSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.OwnerNameColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's Owner_.OwnerName field.
	/// </summary>
	public string OwnerNameDefault
	{
		get
		{
			return TableUtils.OwnerNameColumn.DefaultValue;
		}
	}
	/// <summary>
	/// This is a property that provides direct access to the value of the record's Owner_.Address field.
	/// </summary>
	public string Address
	{
		get
		{
			return this.GetValue(TableUtils.AddressColumn).ToString();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.AddressColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool AddressSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.AddressColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's Owner_.Address field.
	/// </summary>
	public string AddressDefault
	{
		get
		{
			return TableUtils.AddressColumn.DefaultValue;
		}
	}


#endregion
}

}
