﻿// This class is "generated" and will be overwritten.
// Your customizations should be made in VehicleTypeRecord.cs

using System;
using System.Collections;
using System.Data.SqlTypes;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Data.SqlProvider;

namespace V6MMYCS.Business
{

/// <summary>
/// The generated superclass for the <see cref="VehicleTypeRecord"></see> class.
/// </summary>
/// <remarks>
/// This class is not intended to be instantiated directly.  To obtain an instance of this class, 
/// use the methods of the <see cref="VehicleTypeTable"></see> class.
/// </remarks>
/// <seealso cref="VehicleTypeTable"></seealso>
/// <seealso cref="VehicleTypeRecord"></seealso>
public class BaseVehicleTypeRecord : PrimaryKeyRecord
{

	public readonly static VehicleTypeTable TableUtils = VehicleTypeTable.Instance;

	// Constructors
 
	protected BaseVehicleTypeRecord() : base(TableUtils)
	{
	}

	protected BaseVehicleTypeRecord(PrimaryKeyRecord record) : base(record, TableUtils)
	{
	}







#region "Convenience methods to get/set values of fields"

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's VehicleType_.Id field.
	/// </summary>
	public ColumnValue GetId0Value()
	{
		return this.GetValue(TableUtils.Id0Column);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's VehicleType_.Id field.
	/// </summary>
	public Int32 GetId0FieldValue()
	{
		return this.GetValue(TableUtils.Id0Column).ToInt32();
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's VehicleType_.Make field.
	/// </summary>
	public ColumnValue GetMakeValue()
	{
		return this.GetValue(TableUtils.MakeColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's VehicleType_.Make field.
	/// </summary>
	public string GetMakeFieldValue()
	{
		return this.GetValue(TableUtils.MakeColumn).ToString();
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Make field.
	/// </summary>
	public void SetMakeFieldValue(ColumnValue val)
	{
		this.SetValue(val, TableUtils.MakeColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Make field.
	/// </summary>
	public void SetMakeFieldValue(string val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.MakeColumn);
	}
	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's VehicleType_.Model field.
	/// </summary>
	public ColumnValue GetModelValue()
	{
		return this.GetValue(TableUtils.ModelColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's VehicleType_.Model field.
	/// </summary>
	public string GetModelFieldValue()
	{
		return this.GetValue(TableUtils.ModelColumn).ToString();
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Model field.
	/// </summary>
	public void SetModelFieldValue(ColumnValue val)
	{
		this.SetValue(val, TableUtils.ModelColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Model field.
	/// </summary>
	public void SetModelFieldValue(string val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.ModelColumn);
	}
	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's VehicleType_.Year field.
	/// </summary>
	public ColumnValue GetYearValue()
	{
		return this.GetValue(TableUtils.YearColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's VehicleType_.Year field.
	/// </summary>
	public string GetYearFieldValue()
	{
		return this.GetValue(TableUtils.YearColumn).ToString();
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Year field.
	/// </summary>
	public void SetYearFieldValue(ColumnValue val)
	{
		this.SetValue(val, TableUtils.YearColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Year field.
	/// </summary>
	public void SetYearFieldValue(string val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.YearColumn);
	}


#endregion

#region "Convenience methods to get field names"

	/// <summary>
	/// This is a property that provides direct access to the value of the record's VehicleType_.Id field.
	/// </summary>
	public Int32 Id0
	{
		get
		{
			return this.GetValue(TableUtils.Id0Column).ToInt32();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.Id0Column);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool Id0Specified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.Id0Column);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Id field.
	/// </summary>
	public string Id0Default
	{
		get
		{
			return TableUtils.Id0Column.DefaultValue;
		}
	}
	/// <summary>
	/// This is a property that provides direct access to the value of the record's VehicleType_.Make field.
	/// </summary>
	public string Make
	{
		get
		{
			return this.GetValue(TableUtils.MakeColumn).ToString();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.MakeColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool MakeSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.MakeColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Make field.
	/// </summary>
	public string MakeDefault
	{
		get
		{
			return TableUtils.MakeColumn.DefaultValue;
		}
	}
	/// <summary>
	/// This is a property that provides direct access to the value of the record's VehicleType_.Model field.
	/// </summary>
	public string Model
	{
		get
		{
			return this.GetValue(TableUtils.ModelColumn).ToString();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.ModelColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool ModelSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.ModelColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Model field.
	/// </summary>
	public string ModelDefault
	{
		get
		{
			return TableUtils.ModelColumn.DefaultValue;
		}
	}
	/// <summary>
	/// This is a property that provides direct access to the value of the record's VehicleType_.Year field.
	/// </summary>
	public string Year
	{
		get
		{
			return this.GetValue(TableUtils.YearColumn).ToString();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.YearColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool YearSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.YearColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's VehicleType_.Year field.
	/// </summary>
	public string YearDefault
	{
		get
		{
			return TableUtils.YearColumn.DefaultValue;
		}
	}


#endregion
}

}
