﻿// This class is "generated" and will be overwritten.
// Your customizations should be made in OwnerVehicleRecord.cs

using System;
using System.Collections;
using System.Data.SqlTypes;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Data.SqlProvider;

namespace V6MMYCS.Business
{

/// <summary>
/// The generated superclass for the <see cref="OwnerVehicleRecord"></see> class.
/// </summary>
/// <remarks>
/// This class is not intended to be instantiated directly.  To obtain an instance of this class, 
/// use the methods of the <see cref="OwnerVehicleTable"></see> class.
/// </remarks>
/// <seealso cref="OwnerVehicleTable"></seealso>
/// <seealso cref="OwnerVehicleRecord"></seealso>
public class BaseOwnerVehicleRecord : PrimaryKeyRecord
{

	public readonly static OwnerVehicleTable TableUtils = OwnerVehicleTable.Instance;

	// Constructors
 
	protected BaseOwnerVehicleRecord() : base(TableUtils)
	{
	}

	protected BaseOwnerVehicleRecord(PrimaryKeyRecord record) : base(record, TableUtils)
	{
	}







#region "Convenience methods to get/set values of fields"

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public ColumnValue GetOwnerIdValue()
	{
		return this.GetValue(TableUtils.OwnerIdColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public Int32 GetOwnerIdFieldValue()
	{
		return this.GetValue(TableUtils.OwnerIdColumn).ToInt32();
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public void SetOwnerIdFieldValue(ColumnValue val)
	{
		this.SetValue(val, TableUtils.OwnerIdColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public void SetOwnerIdFieldValue(string val)
	{
		this.SetString(val, TableUtils.OwnerIdColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public void SetOwnerIdFieldValue(double val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.OwnerIdColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public void SetOwnerIdFieldValue(decimal val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.OwnerIdColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public void SetOwnerIdFieldValue(long val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.OwnerIdColumn);
	}
	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public ColumnValue GetVehicleTypeIdValue()
	{
		return this.GetValue(TableUtils.VehicleTypeIdColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public Int32 GetVehicleTypeIdFieldValue()
	{
		return this.GetValue(TableUtils.VehicleTypeIdColumn).ToInt32();
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public void SetVehicleTypeIdFieldValue(ColumnValue val)
	{
		this.SetValue(val, TableUtils.VehicleTypeIdColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public void SetVehicleTypeIdFieldValue(string val)
	{
		this.SetString(val, TableUtils.VehicleTypeIdColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public void SetVehicleTypeIdFieldValue(double val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.VehicleTypeIdColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public void SetVehicleTypeIdFieldValue(decimal val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.VehicleTypeIdColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public void SetVehicleTypeIdFieldValue(long val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.VehicleTypeIdColumn);
	}


#endregion

#region "Convenience methods to get field names"

	/// <summary>
	/// This is a property that provides direct access to the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public Int32 OwnerId
	{
		get
		{
			return this.GetValue(TableUtils.OwnerIdColumn).ToInt32();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.OwnerIdColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool OwnerIdSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.OwnerIdColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.OwnerId field.
	/// </summary>
	public string OwnerIdDefault
	{
		get
		{
			return TableUtils.OwnerIdColumn.DefaultValue;
		}
	}
	/// <summary>
	/// This is a property that provides direct access to the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public Int32 VehicleTypeId
	{
		get
		{
			return this.GetValue(TableUtils.VehicleTypeIdColumn).ToInt32();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.VehicleTypeIdColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool VehicleTypeIdSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.VehicleTypeIdColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's OwnerVehicle_.VehicleTypeId field.
	/// </summary>
	public string VehicleTypeIdDefault
	{
		get
		{
			return TableUtils.VehicleTypeIdColumn.DefaultValue;
		}
	}


#endregion
}

}
